GitProfileRepository (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.cli.profile.git

## [Groovy] Class GitProfileRepository

- org.grails.cli.profile.git.GitProfileRepository

- All Implemented Interfaces and Traits:
    ProfileRepository

      @groovy.transform.CompileStatic
      @java.lang.Deprecated
      class GitProfileRepository
      extends java.lang.Object

  An implementation of the ProfileRepository instance that uses git

  deprecated:
    Use StaticJarProfileRepository instead
  Authors:
    Graeme Rocher
    Lari Hotari
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `gitBranch`
    `java.lang.String` | `gitRevision`
    `ResetType` | `gitRevisionResetMode`
    `boolean` | `initialized`
    `java.lang.String` | `originUri`
    `java.util.Map<java.lang.String, Profile>` | `profileCache`
    `java.io.File` | `profilesDirectory`
    `long` | `updateInterval`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `checkoutTagForRelease()`
    `java.io.File` | `createOrUpdateRepository()`
    `void` | `fetchAndRebaseIfExpired(boolean forceUpdate = false)`
    `java.util.List<Profile>` | `getAllProfiles()`
    `Profile` | `getProfile(java.lang.String profileName)`
    `java.util.List<Profile>` | `getProfileAndDependencies(Profile profile)` Returns the given profile with all dependencies in topological order where given profile is last in the order.
    `Resource` | `getProfileDirectory(java.lang.String profile)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String gitBranch

    - #### java.lang.String gitRevision

    - #### ResetType gitRevisionResetMode

    - #### boolean initialized

    - #### java.lang.String originUri

    - #### java.util.Map<java.lang.String, Profile> profileCache

    - #### java.io.File profilesDirectory

    - #### long updateInterval

  - ### Method Detail

    - #### void checkoutTagForRelease()

    - #### java.io.File createOrUpdateRepository()

    - #### void fetchAndRebaseIfExpired(boolean forceUpdate = false)

    - #### @java.lang.Override java.util.List<Profile> getAllProfiles()

    - #### Profile getProfile(java.lang.String profileName)

    - #### java.util.List<Profile> getProfileAndDependencies(Profile profile)

      Returns the given profile with all dependencies in topological order where given profile is last in the order.

      Parameters:
        profile
      Returns:

    - #### Resource getProfileDirectory(java.lang.String profile)